
#ifndef GFX_H
#define GFX_H

#ifdef __cplusplus
extern "C" {
#endif


extern BITMAP *BackBuffer;
extern int display_w;
extern int display_h;
extern int fullscreen;

extern int GFX_Init(void);
extern int GFX_Shutdown();

extern BITMAP *GFX_CreateAccelBitmap(int w, int h);
extern BITMAP *GFX_CreateAccelMaskedBitmap(int w, int h);

extern void GFX_HQ_RotateSprite(BITMAP *dest, BITMAP *src, int x, int y, fixed angle);

#define DISPLAY_W display_w
#define DISPLAY_H display_h


#ifdef __cplusplus
}
#endif


#endif
