/*  incomplete DUMB JGMOD compatibility wrapper, because JGMOD's license is
    not opensource / GPL compatible and because there are already enough mod
    playing libs.
   
    Copyright 2006 Hans de Goede <j.w.r.degoede@hhs.nl>
   
    This wrapper is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public   
    License as published by the Free Software Foundation; either 
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of 
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA   
*/
   
#ifndef __JGMOD_H
#define __JGMOD_H

#include <aldumb.h>

#define JGMOD DUH

void install_mod(int channels); /* ignored */
void remove_mod(void);

JGMOD *load_mod(const char *path); /* path may be a packfile # index */
void destroy_mod(JGMOD *mod);

void play_mod(JGMOD *mod, int loop);
void stop_mod(void);

void set_mod_volume(int volume); /* 0 - 255 */

#endif
