typedef struct STAR {
    fixed x, y;
	fixed vx, vy;
	int color;
	int r, g, b;

	int old_x, old_y;
} STAR;

typedef struct RAY {
	float x1, y1, z1, x2, y2, z2;
	int old_x1, old_x2, old_y1, old_y2;
	int color1, color2;
} RAY;

STAR *create_star(int x, int y, int color);
void draw_stars(BITMAP *dest);
void clear_stars();
void destroy_star(STAR *star);
int install_star();
void add_ray();
