
typedef struct WEAPON_CANNON {

	float x, y;
	float vx, vy;

	int Life;	
	fixed Power;
	int Alpha, AlphaSpeed;

	BITMAP **Image;
	int NumImages;

	int Properties;

} WEAPON_CANNON;


typedef struct WEAPON {

	float x, y;

	int ShootDelay;
	int Ammo;

	SAMPLE *Sound;


	WEAPON_CANNON **Cannon;
	int NumCannons;

} WEAPON;



typedef struct SHIP_WEAPON {

	WEAPON *Weapon;
	int ShootDelay;
	int Ammo;

} SHIP_WEAPON;


struct PARTICLE;

extern void set_weapon_next_shot_delay(SHIP_WEAPON *s, int val);
extern int get_weapon_next_shot_delay(SHIP_WEAPON *s);
extern void weapon_fire(SHIP_WEAPON *s, struct PARTICLE *p);
extern WEAPON *create_weapon();
extern void destroy_weapon(WEAPON *w);
extern WEAPON *load_weapon(char *filename);

extern int get_ship_weapon_ammo(SHIP_WEAPON *w);
extern int get_weapon_ammo(WEAPON *w);
